﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Threading;

namespace SLTTData3_Web
{
    // NOTE: If you change the class name "Service1" here, you must also update the reference to "Service1" in Web.config.
    public class Service1 : IService1
    {
        public void DoWork()
        {
        }

        #region IService1 Members

        public List<Order> GetOrdersByShipCity(string ShipCity, int skip, int take, out int count)
        {

            Thread.Sleep(4000);
            DataClasses1DataContext db = new DataClasses1DataContext();
            var query = from o in db.Orders
                        where o.ShipCity.StartsWith(ShipCity)
                        select o;
            count = query.Count();

            if (skip == count)
                skip = skip - take;

            return query.Skip(skip).Take(take).ToList();
        }

        #endregion

        #region IService1 Members


        public string SaveOrders(List<Order> oO, List<Order> oM)
        {
            try
            {
                DataClasses1DataContext db = new DataClasses1DataContext();

                LinqToSqlServerHelper.LinqHelper.SaveTable<Order>(db.Orders, oO, oM);
                return "Successful";
            }
            catch (Exception e)
            {
                return e.Message;
            }
        }

        #endregion
    }
}
